Bug 426384 - 3.8.4: Ajax Optimizations For Flag Requests Page
3.8.4: Ajax Optimizations For Flag Requests Page
Product: Bugzilla
Classification: Community
Component: User Interface (Show other bugs)
All Linux
high Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
2 hours
Depends On:
Blocks: RHBZ30UpgradeTracker 406181
  Show dependency treegraph
Reported: 2007-12-20 12:19 EST by David Lawrence
Modified: 2013-06-24 00:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-27 23:49:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2007-12-20 12:19:10 EST
+++ This bug was initially created as a clone of Bug #406181 +++

On certain pages Ajax optimizations are used to speed up page loading time. Red
Hat has a high number of components for certain products. The component lists
cause a large amount of HTML having to be downloaded by the client browser. The
Ajax functions allow the UI to only show the components needed depending on
which products are selected.

Function Requirements:
Components list updated depending on which product is selected in requests.cgi.
Pretty much self contained on the backend in Bugzilla/Ajax.pm and ajax.cgi. A
lot of javascript though in js/*.js and the templates themselves.
Comment 1 David Lawrence 2007-12-20 13:09:39 EST
LOC Estimate:

templates: 17
selenium test case to verify proper loading of components: 2 hours

LOC Total: 17
Comment 2 David Lawrence 2008-04-23 11:22:25 EDT
Already in CVS as part of the ajax query bug.

Worked 2 hours.

Note You need to log in before you can comment on or make changes to this bug.